diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/tap-bridge/helper/tap-bridge-helper.cc ns-3.43/src/tap-bridge/helper/tap-bridge-helper.cc
--- ns-3.42/src/tap-bridge/helper/tap-bridge-helper.cc	2024-05-29 15:29:47.176073800 -0700
+++ ns-3.43/src/tap-bridge/helper/tap-bridge-helper.cc	2024-10-09 16:41:10.096656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2009 University of Washington
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 #include "tap-bridge-helper.h"
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/tap-bridge/helper/tap-bridge-helper.h ns-3.43/src/tap-bridge/helper/tap-bridge-helper.h
--- ns-3.42/src/tap-bridge/helper/tap-bridge-helper.h	2024-05-29 15:29:47.176073800 -0700
+++ ns-3.43/src/tap-bridge/helper/tap-bridge-helper.h	2024-10-09 16:41:10.096656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2009 University of Washington
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 #ifndef TAP_BRIDGE_HELPER_H
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/tap-bridge/model/tap-bridge.cc ns-3.43/src/tap-bridge/model/tap-bridge.cc
--- ns-3.42/src/tap-bridge/model/tap-bridge.cc	2024-05-29 15:29:47.176073800 -0700
+++ ns-3.43/src/tap-bridge/model/tap-bridge.cc	2024-10-09 16:41:10.096656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2009 University of Washington
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 #include "tap-bridge.h"
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/tap-bridge/model/tap-bridge.h ns-3.43/src/tap-bridge/model/tap-bridge.h
--- ns-3.42/src/tap-bridge/model/tap-bridge.h	2024-05-29 15:29:47.176073800 -0700
+++ ns-3.43/src/tap-bridge/model/tap-bridge.h	2024-10-09 16:41:10.096656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2009 University of Washington
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 #ifndef TAP_BRIDGE_H
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/tap-bridge/model/tap-creator.cc ns-3.43/src/tap-bridge/model/tap-creator.cc
--- ns-3.42/src/tap-bridge/model/tap-creator.cc	2024-05-29 15:29:47.176073800 -0700
+++ ns-3.43/src/tap-bridge/model/tap-creator.cc	2024-10-09 16:41:10.096656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2009 University of Washington
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 #include "tap-encode-decode.h"
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/tap-bridge/model/tap-encode-decode.cc ns-3.43/src/tap-bridge/model/tap-encode-decode.cc
--- ns-3.42/src/tap-bridge/model/tap-encode-decode.cc	2024-05-29 15:29:47.176073800 -0700
+++ ns-3.43/src/tap-bridge/model/tap-encode-decode.cc	2024-10-09 16:41:10.096656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2009 University of Washington
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 #include <iomanip>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/tap-bridge/model/tap-encode-decode.h ns-3.43/src/tap-bridge/model/tap-encode-decode.h
--- ns-3.42/src/tap-bridge/model/tap-encode-decode.h	2024-05-29 15:29:47.176073800 -0700
+++ ns-3.43/src/tap-bridge/model/tap-encode-decode.h	2024-10-09 16:41:10.096656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2009 University of Washington
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 #ifndef TAP_ENCODE_DECODE_H
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/test/CMakeLists.txt ns-3.43/src/test/CMakeLists.txt
--- ns-3.42/src/test/CMakeLists.txt	2024-05-29 15:29:47.176073800 -0700
+++ ns-3.43/src/test/CMakeLists.txt	2024-10-09 16:41:10.096656600 -0700
@@ -89,7 +89,7 @@
 endif()
 
 add_library(
-  ${libtest}
+  test
   OBJECT
   ${PROJECT_SOURCE_DIR}/build-support/empty.cc # empty source file if only
   # libcore is enabled
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/test/csma-system-test-suite.cc ns-3.43/src/test/csma-system-test-suite.cc
--- ns-3.42/src/test/csma-system-test-suite.cc	2024-05-29 15:29:47.176073800 -0700
+++ ns-3.43/src/test/csma-system-test-suite.cc	2024-10-09 16:41:10.096656600 -0700
@@ -1,16 +1,5 @@
 /*
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 // This is not a test of CsmaNetDevice model behavior per-se, but
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/test/doc/tests.h ns-3.43/src/test/doc/tests.h
--- ns-3.42/src/test/doc/tests.h	2024-05-29 15:29:47.176073800 -0700
+++ ns-3.43/src/test/doc/tests.h	2024-10-09 16:41:10.096656600 -0700
@@ -1,16 +1,5 @@
 /*
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 /**
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/test/ns3tc/fq-cobalt-queue-disc-test-suite.cc ns-3.43/src/test/ns3tc/fq-cobalt-queue-disc-test-suite.cc
--- ns-3.42/src/test/ns3tc/fq-cobalt-queue-disc-test-suite.cc	2024-05-29 15:29:47.176073800 -0700
+++ ns-3.43/src/test/ns3tc/fq-cobalt-queue-disc-test-suite.cc	2024-10-09 16:41:10.096656600 -0700
@@ -2,18 +2,7 @@
  * Copyright (c) 2016 Universita' degli Studi di Napoli Federico II
  * Copyright (c) 2020 NITK Surathkal (adapted for COBALT)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Pasquale Imputato <p.imputato@gmail.com>
  *          Stefano Avallone <stefano.avallone@unina.it>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/test/ns3tc/fq-codel-queue-disc-test-suite.cc ns-3.43/src/test/ns3tc/fq-codel-queue-disc-test-suite.cc
--- ns-3.42/src/test/ns3tc/fq-codel-queue-disc-test-suite.cc	2024-05-29 15:29:47.176073800 -0700
+++ ns-3.43/src/test/ns3tc/fq-codel-queue-disc-test-suite.cc	2024-10-09 16:41:10.096656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2016 Universita' degli Studi di Napoli Federico II
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Pasquale Imputato <p.imputato@gmail.com>
  *          Stefano Avallone <stefano.avallone@unina.it>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/test/ns3tc/fq-pie-queue-disc-test-suite.cc ns-3.43/src/test/ns3tc/fq-pie-queue-disc-test-suite.cc
--- ns-3.42/src/test/ns3tc/fq-pie-queue-disc-test-suite.cc	2024-05-29 15:29:47.176073800 -0700
+++ ns-3.43/src/test/ns3tc/fq-pie-queue-disc-test-suite.cc	2024-10-09 16:41:10.096656600 -0700
@@ -2,18 +2,7 @@
  * Copyright (c) 2016 Universita' degli Studi di Napoli Federico II
  * Copyright (c) 2020 NITK Surathkal (modified for FQ-PIE)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Pasquale Imputato <p.imputato@gmail.com>
  *          Stefano Avallone <stefano.avallone@unina.it>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/test/ns3tc/pfifo-fast-queue-disc-test-suite.cc ns-3.43/src/test/ns3tc/pfifo-fast-queue-disc-test-suite.cc
--- ns-3.42/src/test/ns3tc/pfifo-fast-queue-disc-test-suite.cc	2024-05-29 15:29:47.176073800 -0700
+++ ns-3.43/src/test/ns3tc/pfifo-fast-queue-disc-test-suite.cc	2024-10-09 16:41:10.096656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2014 University of Washington
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  */
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/test/ns3tcp/ns3tcp-cubic-test-suite.cc ns-3.43/src/test/ns3tcp/ns3tcp-cubic-test-suite.cc
--- ns-3.42/src/test/ns3tcp/ns3tcp-cubic-test-suite.cc	2024-05-29 15:29:47.176073800 -0700
+++ ns-3.43/src/test/ns3tcp/ns3tcp-cubic-test-suite.cc	2024-10-09 16:41:10.096656600 -0700
@@ -3,18 +3,7 @@
  * Copyright (c) 2018-20 NITK Surathkal (topology setup)
  * Copyright (c) 2024 Tom Henderson (test definition)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 // Test suite based on tcp-bbr-example.cc modified topology setup:
@@ -359,7 +348,7 @@
     if (m_prefix == "ns3-tcp-cubic-no-heuristic")
     {
         // Check overall min and max
-        NS_TEST_ASSERT_MSG_EQ(CheckValues(Seconds(1), Seconds(19), 50, 90),
+        NS_TEST_ASSERT_MSG_EQ(CheckValues(Seconds(1), Seconds(19), 60, 98),
                               true,
                               "cwnd outside range");
         // Time just before a reduction does not have much variation
@@ -370,7 +359,7 @@
     else if (m_prefix == "ns3-tcp-cubic-fast-conv")
     {
         // Check overall min and max
-        NS_TEST_ASSERT_MSG_EQ(CheckValues(Seconds(1), Seconds(19), 50, 90),
+        NS_TEST_ASSERT_MSG_EQ(CheckValues(Seconds(1), Seconds(19), 60, 98),
                               true,
                               "cwnd outside range");
         // Initial convex region does not have much variation
@@ -386,7 +375,7 @@
                               true,
                               "cwnd outside range");
         // After time 17.5, cwnd should have grown much higher
-        NS_TEST_ASSERT_MSG_EQ(CheckValues(Seconds(17.5), Seconds(18.5), 170, 215),
+        NS_TEST_ASSERT_MSG_EQ(CheckValues(Seconds(17.5), Seconds(18.5), 169, 215),
                               true,
                               "cwnd outside range");
     }
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/test/ns3tcp/ns3tcp-loss-test-suite.cc ns-3.43/src/test/ns3tcp/ns3tcp-loss-test-suite.cc
--- ns-3.42/src/test/ns3tcp/ns3tcp-loss-test-suite.cc	2024-05-29 15:29:47.176073800 -0700
+++ ns-3.43/src/test/ns3tcp/ns3tcp-loss-test-suite.cc	2024-10-09 16:41:10.096656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2010 University of Washington
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 #include "ns3tcp-socket-writer.h"
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/test/ns3tcp/ns3tcp-no-delay-test-suite.cc ns-3.43/src/test/ns3tcp/ns3tcp-no-delay-test-suite.cc
--- ns-3.42/src/test/ns3tcp/ns3tcp-no-delay-test-suite.cc	2024-05-29 15:29:47.176073800 -0700
+++ ns-3.43/src/test/ns3tcp/ns3tcp-no-delay-test-suite.cc	2024-10-09 16:41:10.096656600 -0700
@@ -1,16 +1,5 @@
 /*
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 #include "ns3tcp-socket-writer.h"
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/test/ns3tcp/ns3tcp-socket-test-suite.cc ns-3.43/src/test/ns3tcp/ns3tcp-socket-test-suite.cc
--- ns-3.42/src/test/ns3tcp/ns3tcp-socket-test-suite.cc	2024-05-29 15:29:47.176073800 -0700
+++ ns-3.43/src/test/ns3tcp/ns3tcp-socket-test-suite.cc	2024-10-09 16:41:10.096656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2010 University of Washington
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 #include "ns3tcp-socket-writer.h"
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/test/ns3tcp/ns3tcp-socket-writer.cc ns-3.43/src/test/ns3tcp/ns3tcp-socket-writer.cc
--- ns-3.42/src/test/ns3tcp/ns3tcp-socket-writer.cc	2024-05-29 15:29:47.176073800 -0700
+++ ns-3.43/src/test/ns3tcp/ns3tcp-socket-writer.cc	2024-10-09 16:41:10.096656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2010 University of Washington
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 #include "ns3tcp-socket-writer.h"
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/test/ns3tcp/ns3tcp-socket-writer.h ns-3.43/src/test/ns3tcp/ns3tcp-socket-writer.h
--- ns-3.42/src/test/ns3tcp/ns3tcp-socket-writer.h	2024-05-29 15:29:47.176073800 -0700
+++ ns-3.43/src/test/ns3tcp/ns3tcp-socket-writer.h	2024-10-09 16:41:10.096656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2010 University of Washington
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 #include "ns3/address.h"
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/test/ns3tcp/ns3tcp-state-test-suite.cc ns-3.43/src/test/ns3tcp/ns3tcp-state-test-suite.cc
--- ns-3.42/src/test/ns3tcp/ns3tcp-state-test-suite.cc	2024-05-29 15:29:47.176073800 -0700
+++ ns-3.43/src/test/ns3tcp/ns3tcp-state-test-suite.cc	2024-10-09 16:41:10.096656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2010 University of Washington
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 #include "ns3tcp-socket-writer.h"
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/test/ns3tcp/plot.gp ns-3.43/src/test/ns3tcp/plot.gp
--- ns-3.42/src/test/ns3tcp/plot.gp	2024-05-29 15:29:47.176073800 -0700
+++ ns-3.43/src/test/ns3tcp/plot.gp	2024-10-09 16:41:10.096656600 -0700
@@ -2,20 +2,7 @@
 # *
 # * Copyright (c) 2010 Adrian Sai-wah Tam
 # *
-# * This program is free software; you can redistribute it and/or modify
-# * it under the terms of the GNU General Public License version 2 as
-# * published by the Free Software Foundation;
-# *
-# * This program is distributed in the hope that it will be useful,
-# * but WITHOUT ANY WARRANTY; without even the implied warranty of
-# * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# * GNU General Public License for more details.
-# *
-# * You should have received a copy of the GNU General Public
-# * License
-# * along with this program; if not, write to the Free Software
-# * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
-# * 02111-1307  USA
+# * SPDX-License-Identifier: GPL-2.0-only
 # *
 # * This gnuplot file is used to plot a number of graphs from the
 # * Ns3TcpLossTestCases. In order to run this properly, the
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/test/ns3tcp/trTidy.pl ns-3.43/src/test/ns3tcp/trTidy.pl
--- ns-3.42/src/test/ns3tcp/trTidy.pl	2024-05-29 15:29:47.176073800 -0700
+++ ns-3.43/src/test/ns3tcp/trTidy.pl	2024-10-09 16:41:10.096656600 -0700
@@ -3,20 +3,7 @@
 # *
 # * Copyright (c) 2010 Adrian Sai-wah Tam
 # *
-# * This program is free software; you can redistribute it and/or modify
-# * it under the terms of the GNU General Public License version 2 as
-# * published by the Free Software Foundation;
-# *
-# * This program is distributed in the hope that it will be useful,
-# * but WITHOUT ANY WARRANTY; without even the implied warranty of
-# * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# * GNU General Public License for more details.
-# *
-# * You should have received a copy of the GNU General Public
-# * License
-# * along with this program; if not, write to the Free Software
-# * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
-# * 02111-1307  USA
+# * SPDX-License-Identifier: GPL-2.0-only
 # *
 # * This perl script is used within plot.gp, a gnuplot file also
 # * in this directory, for parsing the Ns3TcpLossTest logging output.
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/test/ns3wifi/wifi-ac-mapping-test-suite.cc ns-3.43/src/test/ns3wifi/wifi-ac-mapping-test-suite.cc
--- ns-3.42/src/test/ns3wifi/wifi-ac-mapping-test-suite.cc	2024-05-29 15:29:47.176073800 -0700
+++ ns-3.43/src/test/ns3wifi/wifi-ac-mapping-test-suite.cc	2024-10-09 16:41:10.096656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2016 Universita' degli Studi di Napoli Federico II
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Stefano Avallone <stavallo@unina.it>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/test/ns3wifi/wifi-issue-211-test-suite.cc ns-3.43/src/test/ns3wifi/wifi-issue-211-test-suite.cc
--- ns-3.42/src/test/ns3wifi/wifi-issue-211-test-suite.cc	2024-05-29 15:29:47.176073800 -0700
+++ ns-3.43/src/test/ns3wifi/wifi-issue-211-test-suite.cc	2024-10-09 16:41:10.096656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2020
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Stefano Avallone <stavallo@unina.it>
  *          Rémy Grünblatt <remy@grunblatt.org>
@@ -153,7 +142,7 @@
     NetDeviceContainer apDevices = wifi.Install(phy, mac, wifiApNode);
 
     // Assign fixed streams to random variables in use
-    wifi.AssignStreams(apDevices, streamNumber);
+    WifiHelper::AssignStreams(apDevices, streamNumber);
 
     MobilityHelper mobility;
     Ptr<ListPositionAllocator> positionAlloc = CreateObject<ListPositionAllocator>();
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/test/ns3wifi/wifi-msdu-aggregator-test-suite.cc ns-3.43/src/test/ns3wifi/wifi-msdu-aggregator-test-suite.cc
--- ns-3.42/src/test/ns3wifi/wifi-msdu-aggregator-test-suite.cc	2024-05-29 15:29:47.176073800 -0700
+++ ns-3.43/src/test/ns3wifi/wifi-msdu-aggregator-test-suite.cc	2024-10-09 16:41:10.096656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2010 Dean Armstrong
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Dean Armstrong <deanarm@gmail.com>
  */
